Skip to main content
`Ctrl`+`K`

# PCLMVMSetUpdateVec

Set the vector to be used as solution update for the internal LMVM matrix.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCLMVMSetUpdateVec(PC pc, Vec X)

## Input Parameters

- pc - The preconditioner

- X - Solution vector

## Notes

This is only needed if you want the preconditioner to automatically update the internal matrix. It is called in some `SNES` implementations to update the preconditioner. The right-hand side of the linear system is used as function vector.

## See Also

`MatLMVMUpdate()`, `PCLMVMSetMatLMVM()`

## Level

intermediate

## Location

src/ksp/pc/impls/lmvm/lmvmpc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages